.header {
  position: fixed;
  z-index: var(--z-index-header);
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100vw;
  padding: 1.8rem 1.5rem;
  background-color: var(--color-white);
  border-bottom: 0.05rem solid var(--color-black-medium);
}

.header__logo {
  width: 27rem;
  height: auto;
}

.header__lines {
  display: flex;
  flex-direction: column;
  row-gap: 0.6rem;
  cursor: pointer;
}

.header__line {
  width: 2rem;
  height: 0.2rem;
  background-color: var(--color-black-medium);
  transition: all 0.3s ease;
}

.header__lines.menu__open .header__line:nth-child(1) {
  transform: translateY(0.8rem) rotate(-45deg);
}

.header__lines.menu__open .header__line:nth-child(2) {
  opacity: 0;
}

.header__lines.menu__open .header__line:nth-child(3) {
  transform: translateY(-0.8rem) rotate(45deg);
}

.header__hambergermenu {
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  width: 100%;
  height: calc(100vh - 6.15rem);
  padding: 6rem 3rem;
  margin-top: 6.2rem;
  font-size: 1.7rem;
  line-height: 1.11;
  background-color: var(--color-white);
  transition: transform 0.8s cubic-bezier(0.75, 0, 0.25, 1);
  transform: translateX(100%);
}

.header__hambergermenu.menu__open {
  transform: translateX(0);
}

.header__hambergermenu__links {
  display: flex;
  flex-direction: column;
  row-gap: 2rem;
}

.header__content {
  display: none;
}

.header__hambergermenu__link {
  width: fit-content;
  margin: 0 auto;
  font-size: 2rem;
  color: var(--color-black-medium);
}

.header__reception {
  display: flex;
  flex-direction: column;
  row-gap: 2rem;
  align-items: center;
  margin-top: 4rem;
}

.header__hambergermenu__recruitment {
  display: block;
  width: 18rem;
  padding: 1rem;
  color: var(--color-white);
  text-align: center;
  background-color: var(--color-blue-light);
  border-radius: 3rem;
  box-shadow: 0.3rem 0.3rem 0.15rem rgb(178 178 178 / 75%);
}

.header__hambergermenu__contact {
  display: block;
  width: 18rem;
  padding: 1rem;
  color: var(--color-white);
  text-align: center;
  background-color: var(--color-deepblue-light);
  border-radius: 3rem;
  box-shadow: 0.3rem 0.3rem 0.15rem rgb(178 178 178 / 75%);
}

@media screen and (min-width: 768px) {
  .header {
    border-bottom: 0.1rem solid var(--color-black-medium);
  }

  .header__logo {
    width: 33rem;
  }

  .header__hambergermenu {
    display: none;
  }

  .header__content {
    display: flex;
    align-items: center;
    font-size: 1rem;
  }

  .header__content__link {
    margin-left: 1rem;
    font-size: 1.15rem;
    color: var(--color-black-medium);
  }

  .header__content__link:first-child {
    margin-left: 0;
  }

  .header__content__recruitment {
    width: 8rem;
    padding: 1rem;
    margin-left: 1rem;
    font-size: 1.15;
    color: var(--color-white);
    text-align: center;
    background-color: var(--color-blue-light);
    border-radius: 2rem;
    box-shadow: 0.3rem 0.3rem 0.15rem rgb(178 178 178 / 75%);
  }

  .header__content__contact {
    width: 8rem;
    padding: 1rem;
    margin-left: 1.15rem;
    font-size: 1.15;
    color: var(--color-white);
    text-align: center;
    background-color: var(--color-deepblue-light);
    border-radius: 2rem;
    box-shadow: 0.3rem 0.3rem 0.15rem rgb(178 178 178 / 75%);
  }
}

@media screen and (min-width: 1440px) {
  .header {
    padding: 1.31rem 3.75rem;
  }

  .header__logo {
    width: 39.55rem;
  }

  .header__content__link {
    margin-left: 5.5rem;
  }

  .header__content__recruitment {
    width: 13.87rem;
    padding: 1.8rem 0;
    margin-left: 5.5rem;
    font-size: 1.5rem;
    border-radius: 5rem;
  }

  .header__content__contact {
    width: 13.87rem;
    padding: 1.8rem 0;
    margin-left: 3.15rem;
    font-size: 1.5rem;
    border-radius: 5rem;
  }
}
